/**************************************************************************
/* This class implements a panel with a JAIDisplay as canvas.
/*
/* Copyright (c) 2006 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.awt.*;
import java.awt.image.*;
import com.sun.media.jai.widget.*;

/**
   This class implements a panel  with a JAIDisplay as canvas.

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class ImagePanel3 extends DisplayJAI {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public ImagePanel3() {
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Set image.
  */

  public void setImage(RenderedImage image) {
    set(image);
    repaint();
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Get image.
  */

  public RenderedImage getImage() {
    return getSource();
  }

  //////////////////////////////////////////////////////////////////////////////
  
  /**
     Return the preferred size.
  */

  public Dimension getPreferredSize() {
    RenderedImage img = getSource();
    if (img != null) {
      return new Dimension(img.getWidth(),img.getHeight());
    } else {
      return new Dimension(0,0);
    }
  }
}
